Download it now!
Bug 129533 - Calc crashes on Navigator click or move
Summary: Calc crashes on Navigator click or move
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Navigator Regressions-1024plus-Columns
  Show dependency treegraph
 
Reported: 2019-12-20 22:03 UTC by Timur
Modified: 2020-06-03 02:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (gen) (7.08 KB, text/plain)
2019-12-21 08:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2019-12-20 22:03:41 UTC
Open attachment 147068 [details] from bug 121714.
Navigator should be open left-top. Click it or take it for title bar and move right.
Crash.
Comment 1 Julien Nabet 2019-12-21 08:38:30 UTC
Created attachment 156712 [details]
bt with debug symbols (gen)

On pc Debian x86-64 with master sources updated today + gen rendering, I could reproduce this.

I don't reproduce this with gtk3 rendering
Comment 2 Xisco Faulí 2019-12-24 15:34:52 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5bcdbf03012e9d2754c3eb166bd5a01201406d9b

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-12-13 20:45:33 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-12-14 06:57:53 +0100
commit	5bcdbf03012e9d2754c3eb166bd5a01201406d9b (patch)
tree	c910eac80023f9cb1c0f943c8edad1928977968f
parent	113444f59dc7690850919155b9b164b1a686bbe7 (diff)
sc: rowcol: tdf#50916 convert Valid* methods

Bisected with: bibisect-linux64-6.5

Adding Cc: to Noel Grandin
Comment 3 Commit Notification 2019-12-27 19:45:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cbb09bcedc9e0f00810047dc5f79e9123e3d1617

tdf#129533 Calc crashes on Navigator click or move

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-12-29 13:56:44 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b9e86836d79039a28661dfb6195df0a4dc1e7572
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!